Bug 499992 - Review Request: mingw32-webkitgtk - MinGW Windows web content engine library
Review Request: mingw32-webkitgtk - MinGW Windows web content engine library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 499983 499986 499991 502388
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 17:23 EDT by Erik van Pienbroek
Modified: 2010-12-17 15:32 EST (History)
4 users (show)

See Also:
Fixed In Version: mingw32-webkitgtk-1.3.6-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 15:32:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-05-09 17:23:25 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-WebKit.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-WebKit-1.1.5-1.fc11.src.rpm
Description:
WebKit is an open source web browser engine.

Koji scratch build: none for now because mingw32-libsoup, mingw32-libxslt and mingw32-libidn aren't in Fedora yet

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Kevin Kofler 2009-05-10 06:24:27 EDT
The native package is now built from a SRPM called webkitgtk, the MinGW package should probably be based on that.
Comment 2 Erik van Pienbroek 2009-05-10 16:47:32 EDT
This .spec file is based on the native WebKit package from just before the rename. I've renamed the package now to mingw32-webkitgtk and updated it to version 1.1.6 (the current version of the native package), but I can't get it compiled yet because upstream has added a dependency on enchant which we don't have packaged in our mingw toolchain yet. I'll try to package mingw32-enchant ASAP and also put it up for review.

New Spec URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk.spec
New SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk-1.1.6-1.fc11.src.rpm
Comment 3 Erik van Pienbroek 2009-05-11 07:34:22 EDT
Just tried to package mingw32-enchant, but it can't be compiled right now because the C functions _lock_file and _unlock_file aren't present in the MinGW headers/libraries yet: http://msdn.microsoft.com/en-us/library/8w5bsb4f%28VS.80%29.aspx
Comment 4 Erik van Pienbroek 2009-05-20 10:02:27 EDT
The _lock_file issue has been reported upstream by Ryan McDougall (sempuki) @ https://sourceforge.net/tracker/?func=detail&aid=2794382&group_id=2435&atid=102435
Comment 5 Erik van Pienbroek 2009-05-24 13:58:39 EDT
The libraries enchant and hunspell (dependency for enchant) are now packaged and ready for review (bug 502388 and bug 502387).

Spec URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk-1.1.7-1.fc11.src.rpm

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.7-1
- Update to 1.1.7

* Sun May 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.6-1
- Update to 1.1.6
- Updated the patches to apply cleanly against version 1.1.6
- Renamed the package to mingw32-webkitgtk
- Merged the changes from the native webkitgtk package up to 1.1.6-1
- Added a BR: mingw32-enchant (required as of version 1.1.6)
Comment 6 Rafael Aquini 2010-08-19 21:22:59 EDT
PING

It's been more than a year with no progress; This review should be closed soon if there is no response, shouldn't it?
Comment 7 Richard W.M. Jones 2010-08-20 03:42:55 EDT
Ditto, leave these bugs open.  They don't harm anyone.
Comment 8 Rafael Aquini 2010-08-20 08:06:15 EDT
Richard,

Same as Bug 479874:

This is a janitorial work on Fedora Package Review queues, 
-- http://fedoraproject.org/PackageReviewStatus/ -- in order to identify and
close stalled reviews. 

I'm just following this policy:
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Regards
Comment 9 Jason Tibbitts 2010-08-20 08:11:55 EDT
A review ticket without a submitter is useless and needs to be closed.  We have few enough reviewers as it is without having them waste time on packages where they will receive no response from the submitter.

In any case, if another submitter wants to take up this package, they should open their own review ticket.  So this one must be closed in any case.
Comment 10 Richard W.M. Jones 2010-08-20 08:43:05 EDT
Does adding NotReady to the Whiteboard help?
Comment 11 Erik van Pienbroek 2010-11-07 12:30:47 EST
New Spec URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk.spec
New SRPM URL:
http://www.ftd4linux.nl/contrib/mingw32-webkitgtk-1.2.5-1.fc14.src.rpm

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.5-1
- Update to 1.2.5
- Automatically generate debuginfo subpackage
- Use %global instead of %define
- Dropped the manual strip command
- Dropped old patches
Comment 12 Erik van Pienbroek 2010-11-11 19:34:15 EST
The Koji scratch build has completed successfully as well: http://koji.fedoraproject.org/koji/taskinfo?taskID=2595924
Comment 13 Jason Tibbitts 2010-11-13 15:11:27 EST
I note that F14 is at webkitgtk 1.3.4 (and 1.3.6 is in testing), so this package violates http://fedoraproject.org/wiki/Packaging:MinGW#Track_Fedora_native_package_versions

Is there a specific reason to stay with 1.2.5?
Comment 14 Erik van Pienbroek 2010-11-13 18:33:33 EST
While updating the package I wasn't aware that F14 was bundling a development version of webkitgtk. I just took the latest stable version which is 1.2.5.

I'll try to provide a more recent version ASAP
Comment 16 Jason Tibbitts 2010-11-16 10:54:26 EST
This is a huge build, and the debuginfo package is hilarious; one of the debug files is over a gigabyte.  Fortunately it compresses pretty well.

Note that Fedora doesn't need BuildRoot:, %clean or the first line of %install.

I think the main package %description probably needs mention of MinGW somewhere.

The license information seems to be missing.  The regular webkitgtk package puts it in the -doc subpackage, which is actually a guideline violation, but you seem to drop the -doc package altogether so it doesn't get in at all.

* source files match upstream.  sha256sum:
  c9bdd5eb544d9447dbfa117cac2c925b6d09091a6a9798c71f2d2e6d5ab542f9
   webkit-1.3.6.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
X license text not included in package.
* version packaged is the same as the native Fedora version.
* package is noarch.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* special mingw32 dependency generators are used.
* final provides and requires are sane:
  mingw32-webkitgtk-1.3.6-1.fc15.noarch.rpm
   mingw32(libwebkitgtk-1.0-0.dll)  
   mingw32-webkitgtk = 1.3.6-1.fc15
  =
   mingw32-filesystem >= 63
   mingw32-runtime  
   mingw32(kernel32.dll)  
   mingw32(libatk-1.0-0.dll)  
   mingw32(libcairo-2.dll)  
   mingw32(libenchant.dll)  
   mingw32(libgailutil-18.dll)  
   mingw32(libgcc_s_sjlj-1.dll)  
   mingw32(libgdk_pixbuf-2.0-0.dll)  
   mingw32(libgdk-win32-2.0-0.dll)  
   mingw32(libgio-2.0-0.dll)  
   mingw32(libglib-2.0-0.dll)  
   mingw32(libgmodule-2.0-0.dll)  
   mingw32(libgnutls-26.dll)  
   mingw32(libgobject-2.0-0.dll)  
   mingw32(libgthread-2.0-0.dll)  
   mingw32(libgtk-win32-2.0-0.dll)  
   mingw32(libjpeg-7.dll)  
   mingw32(libpango-1.0-0.dll)  
   mingw32(libpangocairo-1.0-0.dll)  
   mingw32(libpng14-14.dll)  
   mingw32(libsoup-2.4-1.dll)  
   mingw32(libsqlite3-0.dll)  
   mingw32(libstdc++-6.dll)  
   mingw32(libwebkitgtk-1.0-0.dll)  
   mingw32(libxml2-2.dll)  
   mingw32(libxslt-1.dll)  
   mingw32(msvcrt.dll)  
   mingw32(ole32.dll)  
   mingw32(pthreadgc2.dll)  
   mingw32(user32.dll)  

  mingw32-webkitgtk-static-1.3.6-1.fc15.noarch.rpm
   mingw32-webkitgtk-static = 1.3.6-1.fc15
  =
   mingw32-webkitgtk = 1.3.6-1.fc15
   mingw32-filesystem >= 63
   mingw32-runtime  

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* static libraries are in a separate -static subpackage.
* .dll and .def files in _mingw32_bindir
* .dll.a and .la files in _mingw32_libdir
* dll files are listed explicitly in %files.
* libraries and executables are stripped properly.
Comment 17 Erik van Pienbroek 2010-11-16 13:35:31 EST
Yeah, this package is a huge beast to get compiled. I don't know why the (unstripped) binaries are so huge. The debug .so file in native Fedora package also is quite huge, over 600MB (http://koji.fedoraproject.org/koji/rpminfo?rpmID=2250732) so I guess it's something we have to live with.

I just updated published packages where all your review comments are taken care of.

New Spec URL: http://www.ftd4linux.nl/contrib/mingw32-webkitgtk.spec
New SRPM URL:
http://www.ftd4linux.nl/contrib/mingw32-webkitgtk-1.3.6-2.fc14.src.rpm

* Tue Nov 16 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.6-2
- Improved the description
- Bundle the various license files
- Dropped the BuildRoot tag, the %%clean section and the
  'rm -rf %{buildroot}' from the %%install section as they
  aren't needed anymore these days
Comment 18 Jason Tibbitts 2010-11-16 13:42:54 EST
Great, thanks.  I'm not going to bother building this because it takes a while even on my fast builder, but everything looks fine from looking at the spec.

APPROVED
Comment 19 Erik van Pienbroek 2010-11-16 13:57:26 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw32-webkitgtk
Short Description: MinGW Windows web content engine library
Owners: epienbro
Branches: f14 el5 el6
InitialCC:
Comment 20 Jason Tibbitts 2010-11-16 14:03:14 EST
I may have led you astray; Fedora doesn't need it and EL6 doesn't need it, but el5, being ancient, still needs BuildRoot, %clean and so on.
Comment 21 Jason Tibbitts 2010-11-17 10:58:16 EST
Git done (by process-git-requests).
Comment 22 Fedora Update System 2010-12-08 18:02:43 EST
mingw32-webkitgtk-1.3.6-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-webkitgtk-1.3.6-2.fc14
Comment 23 Fedora Update System 2010-12-09 16:59:17 EST
mingw32-webkitgtk-1.3.6-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-webkitgtk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-webkitgtk-1.3.6-2.fc14
Comment 24 Fedora Update System 2010-12-17 15:32:11 EST
mingw32-webkitgtk-1.3.6-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.